Name:          httptunnel
Version:       3.3
Release:       5mamba
Summary:       Bidirectional virtual data path tunnelled in HTTP requests
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.nocrew.org/software/httptunnel.html
Source0:       https://www.nocrew.org/software/httptunnel/httptunnel-%{version}.tar.gz
Patch0:        httptunnel-3.3-gcc-14.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnsl-devel
## AUTOBUILDREQ-END

%description
httptunnel creates a bidirectional virtual data connection tunnelled in HTTP requests. The HTTP requests can be sent via an HTTP proxy if so desired.
This can be useful for users behind restrictive firewalls.
If WWW access is allowed through a HTTP proxy, it's possible to use httptunnel and, say, telnet or PPP to connect to a computer outside the firewall.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .gcc-14

autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/htc
%{_bindir}/hts
%{_mandir}/man1/htc.*
%{_mandir}/man1/hts.*
%doc AUTHORS COPYING

%changelog
* Wed Nov 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-5mamba
- updated URL and specfile; closes #1

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 3.3-4mamba
- automatic rebuild by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 3.3-3mamba
- automatic rebuild by autodist

* Fri Feb 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-2mamba
- rebuilt to remove executable requirements

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-1mamba
- automatic update by autodist

* Sat Sep 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-2mamba
- specfile updated

* Mon Nov 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.5-1qilnx
- package created by autospec
